> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# retrieve user information

GET https://api.jambonz.cloud/v1/Users/{UserSid}

Reference: https://docs.jambonz.org/reference/rest-platform-management/users/get-user

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `UserSid` (string, required)

## Response

### 200

user information

- `user_sid` (string, optional)
- `name` (string, optional) — username
- `email` (string, optional) — user email address
- `is_active` (enum, optional) — user account is active
  - Allowed values: `0`, `1`
- `force_change` (enum, optional) — require the user to change password on next login
  - Allowed values: `0`, `1`
- `account_sid` (string, optional) — account sid the account the user will have access to, if not set will create a Service Provider account
- `service_provider_sid` (string, optional) — The service provider sid, the account is under, if not set account will be admin level
- `is_view_only` (boolean, optional) — If set to true the user will not be able to make changes
- `provider` (enum, optional)
  - Allowed values: `local`
- `provider_user_id` (string, optional)
- `scope` (enum, optional)
  - Allowed values: `read-write`
- `phone_activation_code` (string, optional)
- `email_activation_code` (string, optional)
- `email_validated` (enum, optional)
  - Allowed values: `0`, `1`
- `phone_validated` (enum, optional)
  - Allowed values: `0`, `1`
- `email_content_opt_out` (enum, optional)
  - Allowed values: `0`, `1`
- `pending_email` (string, optional)
- `phone` (string, optional)

## Errors

### 403 Forbidden Error

user information

- `msg` (string, required)

### 500 Internal Server Error

system error

- `msg` (string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "user_sid": "58b8ec3a-6fcc-4fd7-8f45-cff054c2ebe9",
  "name": "jdoe",
  "email": "jdoe@example.com",
  "is_active": 1,
  "force_change": 0,
  "account_sid": "a3f1c2d4-5678-4b9a-9cde-123456789abc",
  "service_provider_sid": "b7e2d3f5-1234-4a6b-8cde-987654321def",
  "is_view_only": false,
  "provider": "local",
  "provider_user_id": "jdoe123",
  "scope": "read-write",
  "phone_activation_code": "839201",
  "email_activation_code": "4f7a9c",
  "email_validated": 1,
  "phone_validated": 0,
  "email_content_opt_out": 0,
  "pending_email": "pending_change@example.com",
  "phone": "+14155552671"
}
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/Users/UserSid"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/Users/UserSid';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/Users/UserSid"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/Users/UserSid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.jambonz.cloud/v1/Users/UserSid")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.jambonz.cloud/v1/Users/UserSid', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/Users/UserSid");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Users/UserSid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```